package demo.salary.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 
 * @author cheng.luo
 * 
 * 应用信息配置
 *
 */
@Component
public class AppConfig {
	
	/**
	 * 会员账号，由汇付国际提供的商户号+01，共13位数字
	 */
	@Value("${gcbpay.merchantAcctId}")
    private String merchantAcctId;

    /**
     * 商户的私钥(base64编码格式)
     */
	@Value("${gcbpay.base64PrivateKey}")
    private String base64PrivateKey;
    
    /**
     * 汇付国际的公钥(base64编码格式)
     */
	@Value("${gcbpay.base64PublicKey}")
    private String base64PublicKey;

	public String getMerchantAcctId() {
		return merchantAcctId;
	}

	public void setMerchantAcctId(String merchantAcctId) {
		this.merchantAcctId = merchantAcctId;
	}

	public String getBase64PrivateKey() {
		return base64PrivateKey;
	}

	public void setBase64PrivateKey(String base64PrivateKey) {
		this.base64PrivateKey = base64PrivateKey;
	}

	public String getBase64PublicKey() {
		return base64PublicKey;
	}

	public void setBase64PublicKey(String base64PublicKey) {
		this.base64PublicKey = base64PublicKey;
	}

}
